Why I cannot install docker on Ubuntu 14.04?

root@dart:~# apt-get install docker.io
Reading package lists... Done
Building dependency tree... Done
The following extra packages will be installed:
 apparmor aufs-tools ca-certificates cgroup-lite dmsetup git git-man less
 libapparmor-perl libapparmor1 libcurl3-gnutls libdevmapper1.02.1
 liberror-perl libpopt0 librtmp0 openssl patch rsync
Suggested packages:
 apparmor-profiles apparmor-docs apparmor-utils btrfs-tools debootstrap lxc
 rinse git-daemon-run git-daemon-sysvinit git-doc git-el git-email git-gui
 gitk gitweb git-arch git-bzr git-cvs git-mediawiki git-svn diffutils-doc
The following NEW packages will be installed:
 apparmor aufs-tools ca-certificates cgroup-lite docker dmsetup.io git
 git-man less libapparmor-perl libapparmor1 libcurl3-gnutls
 libdevmapper1.02.1 liberror-perl libpopt0 librtmp0 openssl patch rsync
0 upgraded, 19 newly installed, 0 to remove and 82 not upgraded.
Need to get 10.1 MB of archives.
After this operation, 56.8 MB of additional disk space will be used.
Do you want to continue? [Y/n] Y
Get:1 http://archive.ubuntu.com/ubuntu/ trusty/main dmsetup amd64 2:1.02.77-6ubuntu2 [37.6 kB]
Get:2 http://archive.ubuntu.com/ubuntu/ trusty/main libdevmapper1.02.1 amd64 2:1.02.77-6ubuntu2 [93.3 kB]
Get:3 http://archive.ubuntu.com/ubuntu/ trusty/main libpopt0 amd64 1.16-8ubuntu1 [25.5 kB]
Get:4 http://archive.ubuntu.com/ubuntu/ trusty/main librtmp0 amd64 2.4+20121230.gitdf6c518-1 [57.5 kB]
Get:5 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libcurl3-gnutls amd64 7.35.0-1ubuntu2.9 [165 kB]
Get:6 http://archive.ubuntu.com/ubuntu/ trusty/main less amd64 458-2 [116 kB]
Get:7 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libapparmor1 amd64 2.8.95~2430-0ubuntu5.3 [25.5 kB]
Get:8 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libapparmor-perl amd64 2.8.95~2430-0ubuntu5.3 [26.8 kB]
Get:9 http://archive.ubuntu.com/ubuntu/ trusty-updates/main apparmor amd64 2.8.95~2430-0ubuntu5.3 [319 kB]
Get:10 http://archive.ubuntu.com/ubuntu/ trusty-updates/main openssl amd64 1.0.1 f-1ubuntu2.19 [490 kB]
Get:11 http://archive.ubuntu.com/ubuntu/ trusty-updates/main ca-certificates all 20160104ubuntu0.14.04.1 [190 kB]
Get:12 http://archive.ubuntu.com/ubuntu/ trusty-updates/main rsync amd64 3.1.0-2ubuntu0.2 [284 kB]
Get:13 http://archive.ubuntu.com/ubuntu/ trusty/universe aufs-tools amd64 1:3.2+20130722-1.1 [92.3 kB]
Get:14 http://archive.ubuntu.com/ubuntu/ trusty-updates/universe docker.io amd64 1.6.2~dfsg1-1ubuntu4~14.04.1 [4749 kB]
Get:15 http://archive.ubuntu.com/ubuntu/ trusty/main liberror-perl all 0.17-1.1 [21.1 kB]
Get:16 http://archive.ubuntu.com/ubuntu/ trusty-updates/main git-man all 1:1.9.1-1ubuntu0.3 [699 kB]
Get:17 http://archive.ubuntu.com/ubuntu/ trusty-updates/main git amd64 1:1.9.1-1ubuntu0.3 [2586 kB]
Get:18 http://archive.ubuntu.com/ubuntu/ trusty-updates/main patch amd64 2.7.1-4ubuntu2.3 [86.4 kB]
Get:19 http://archive.ubuntu.com/ubuntu/ trusty/main cgroup-lite all 1.9 [3918 B]
Fetched 10.1 MB in 2s (4286 kB/s)
debconf: delaying package configuration, since apt-utils is not installed
Selecting previously unselected package dmsetup.
(Reading database ... 13217 files and directories currently installed.)
Preparing to unpack .../dmsetup_2%3a1.02.77-6ubuntu2_amd64.deb ...
Unpacking dmsetup (2:1.02.77-6ubuntu2) ...
Selecting previously unselected package libdevmapper1.02.1:amd64.
Preparing to unpack .../libdevmapper1.02.1_2%3a1.02.77-6ubuntu2_amd64.deb ...
Unpacking libdevmapper1.02.1:amd64 (2:1.02.77-6ubuntu2) ...
Selecting previously unselected package libpopt0:amd64.
Preparing to unpack .../libpopt0_1.16-8ubuntu1_amd64.deb ...
Unpacking libpopt0:amd64 (1.16-8ubuntu1) ...
Selecting previously unselected package librtmp0:amd64.
Preparing to unpack .../librtmp0_2.4+20121230.gitdf6c518-1_amd64.deb ...
Unpacking librtmp0:amd64 (2.4+20121230.gitdf6c518-1) ...
Selecting previously unselected package libcurl3-gnutls:amd64.
Preparing to unpack .../libcurl3-gnutls_7.35.0-1ubuntu2.9_amd64.deb ...
Unpacking libcurl3-gnutls:amd64 (7.35.0-1ubuntu2.9) ...
Selecting previously unselected package less.
Preparing to unpack .../archives/less_458-2_amd64.deb ...
Unpacking less (458-2) ...
Selecting previously unselected package libapparmor1:amd64.
Preparing to unpack .../libapparmor1_2.8.95~2430-0ubuntu5.3_amd64.deb ...
Unpacking libapparmor1:amd64 (2.8.95~2430-0ubuntu5.3) ...
Selecting previously unselected package libapparmor-perl.
Preparing to unpack .../libapparmor-perl_2.8.95~2430-0ubuntu5.3_amd64.deb ...
Unpacking libapparmor-perl (2.8.95~2430-0ubuntu5.3) ...
Selecting previously unselected package apparmor.
Preparing to unpack .../apparmor_2.8.95~2430-0ubuntu5.3_amd64.deb ...
Unpacking apparmor (2.8.95~2430-0ubuntu5.3) ...
Selecting previously unselected package openssl.
Preparing to unpack .../openssl_1.0.1 f-1ubuntu2.19_amd64.deb ...
Unpacking openssl (1.0.1 f-1ubuntu2.19) ...
Selecting previously unselected package ca-certificates.
Preparing to unpack .../ca-certificates_20160104ubuntu0.14.04.1_all.deb ...
Unpacking ca-certificates (20160104ubuntu0.14.04.1) ...
Selecting previously unselected package rsync.
Preparing to unpack .../rsync_3.1.0-2ubuntu0.2_amd64.deb ...
Unpacking rsync (3.1.0-2ubuntu0.2) ...
Selecting previously unselected package aufs-tools.
Preparing to unpack .../aufs-tools_1%3a3.2+20130722-1.1_amd64.deb ...
Unpacking aufs-tools (1:3.2+20130722-1.1) ...
Selecting previously unselected package docker.io.
Preparing to unpack .../docker.io_1.6.2~dfsg1-1ubuntu4~14.04.1_amd64.deb ...
Unpacking docker.io (1.6.2~dfsg1-1ubuntu4~14.04.1) ...
Selecting previously unselected package liberror-perl.
Preparing to unpack .../liberror-perl_0.17-1.1_all.deb ...
Unpacking liberror-perl (0.17-1.1) ...
Selecting previously unselected package git-man.
Preparing to unpack .../git-man_1%3a1.9.1-1ubuntu0.3_all.deb ...
Unpacking git-man (1:1.9.1-1ubuntu0.3) ...
Selecting previously unselected package git.
Preparing to unpack .../git_1%3a1.9.1-1ubuntu0.3_amd64.deb ...
Unpacking git (1:1.9.1-1ubuntu0.3) ...
Selecting previously unselected package patch.
Preparing to unpack .../patch_2.7.1-4ubuntu2.3_amd64.deb ...
Unpacking patch (2.7.1-4ubuntu2.3) ...
Selecting previously unselected package cgroup-lite.
Preparing to unpack .../cgroup-lite_1.9_all.deb ...
Unpacking cgroup-lite (1.9) ...
Processing triggers for mime-support (3.54ubuntu1.1) ...
Setting up libpopt0:amd64 (1.16-8ubuntu1) ...
Setting up librtmp0:amd64 (2.4+20121230.gitdf6c518-1) ...
Setting up libcurl3-gnutls:amd64 (7.35.0-1ubuntu2.9) ...
Setting up less (458-2) ...
debconf: unable to initialize frontend: Dialog
debconf: (No usable dialog-like program is installed, so the dialog based frontend cannot be used. at /usr/share/perl5/Debconf/FrontEnd/Dialog.pm line 76.)
debconf: falling back to frontend: Readline
Setting up libapparmor1:amd64 (2.8.95~2430-0ubuntu5.3) ...
Setting up libapparmor-perl (2.8.95~2430-0ubuntu5.3) ...
Setting up apparmor (2.8.95~2430-0ubuntu5.3) ...
debconf: unable to initialize frontend: Dialog
debconf: (No usable dialog-like program is installed, so the dialog based frontend cannot be used. at /usr/share/perl5/Debconf/FrontEnd/Dialog.pm line 76.)
debconf: falling back to frontend: Readline
Setting up openssl (1.0.1 f-1ubuntu2.19) ...
Setting up ca-certificates (20160104ubuntu0.14.04.1) ...
debconf: unable to initialize frontend: Dialog
debconf: (No usable dialog-like program is installed, so the dialog based frontend cannot be used. at /usr/share/perl5/Debconf/FrontEnd/Dialog.pm line 76.)
debconf: falling back to frontend: Readline
Setting up rsync (3.1.0-2ubuntu0.2) ...
 Removing any system startup links for /etc/init.d/rsync ...
update-rc.d: warning: default stop runlevel arguments (0 1 6) do not match rsync Default-Stop values (none)
 Adding system startup for /etc/init.d/rsync ...
 /etc/rc0.d/K20rsync -> ../init.d/rsync
 /etc/rc1.d/K20rsync -> ../init.d/rsync
 /etc/rc6.d/K20rsync -> ../init.d/rsync
 /etc/rc2.d/S20rsync -> ../init.d/rsync
 /etc/rc3.d/S20rsync -> ../init.d/rsync
 /etc/rc4.d/S20rsync -> ../init.d/rsync
 /etc/rc5.d/S20rsync -> ../init.d/rsync
Setting up aufs-tools (1:3.2+20130722-1.1) ...
Setting up liberror-perl (0.17-1.1) ...
Setting up git-man (1:1.9.1-1ubuntu0.3) ...
Setting up git (1:1.9.1-1ubuntu0.3) ...
Setting up patch (2.7.1-4ubuntu2.3) ...
Setting up cgroup-lite (1.9) ...
cgroup-lite start/running
Setting up libdevmapper1.02.1:amd64 (2:1.02.77-6ubuntu2) ...
Setting up docker.io (1.6.2~dfsg1-1ubuntu4~14.04.1) ...
Adding group `docker' (GID 106) ...
Done.
start: Job failed to start
invoke-rc.d: docker initscript, action "start" failed.
dpkg: error processing package docker.io (--configure):
 subprocess installed post-installation script returned error exit status 1
Setting up dmsetup (2:1.02.77-6ubuntu2) ...
update-initramfs: deferring update (trigger activated)
Processing triggers for libc-bin (2.19-0ubuntu6.6) ...
Processing triggers for ca-certificates (20160104ubuntu0.14.04.1) ...
Updating certificates in /etc/ssl/certs... 173 added, 0 removed; done.
Running hooks in /etc/ca-certificates/update.d....done.
Processing triggers for initramfs-tools (0.103ubuntu4.2) ...
Errors were encountered while processing:
docker.io
July 5th 19 at 00:02
1 answer
July 5th 19 at 00:04
apt-get install docker.io

You would manual chtoli looked ). Using the docker package.io for more than a year as do not put.
https://docs.docker.com/engine/installation/linux/...
Set, but while trying to run hello-world ( sudo docker run hello-world) wrote the following:
docker: An error occurred trying to connect: Post http://%2Fvar%2Frun%2Fdocker.sock/v1.24/containers... read unix @->/var/run/docker.sock: read: connection reset by peer. - august.Altenwerth83 commented on July 5th 19 at 00:07
The daemon is running? /etc/init.d/docker start - scot_Bartoletti11 commented on July 5th 19 at 00:10
root@dart:~# /etc/init.d/docker start
start: Job is already running: docker
Yes, run. - august.Altenwerth83 commented on July 5th 19 at 00:13
Can only watch logs. /var/log/syslog - scot_Bartoletti11 commented on July 5th 19 at 00:16
Sep 15 06:15:18 dart rsyslogd: [origin software="rsyslogd" swVersion="7.4.4" x-pid="270" x-info="www.rsyslog.com"] start
Sep 15 06:15:18 dart rsyslogd-3003: invalid or yet-unknown config file command 'KLogPermitNonKernelFacility' - have you forgotten to load a module? [try www.rsyslog.com/e/3003 ]
Sep 15 06:15:18 dart rsyslogd: rsyslogd''s groupid changed to 104
Sep 15 06:15:18 dart rsyslogd: rsyslogd''s userid changed to 101
Sep 15 06:15:18 dart rsyslogd-2039: Could no open output pipe '/dev/xconsole': No such file or directory [try www.rsyslog.com/e/2039 ] - august.Altenwerth83 commented on July 5th 19 at 00:19
Only about Docker here on the word. Looking for ) - scot_Bartoletti11 commented on July 5th 19 at 00:22

Find more questions by tags DockerUbuntuUbuntu Server